Texa DeskDevelopers

Texa Desk Application API · Conversations

Destroy Custom Attributes

POST/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes

Removes the given custom attribute keys from a conversation

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

conversation_idintegerrequired

The numeric ID of the conversation

Body application/json

custom_attributesarray of stringrequired

The list of custom attribute keys to remove from the conversation

Responses

200

Success

custom_attributesobject

The remaining custom attributes of the conversation

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Conversation not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring